---
title: GeolocationPosition.coords
slug: Web/API/GeolocationPosition/coords
tags:
  - API
  - Geolocation API
  - GeolocationPosition
  - Property
  - Secure context
  - coords
---
<div>{{securecontext_header}}{{APIRef("Geolocation API")}}</div>

<p>The <code><strong>GeolocationPosition.coords</strong></code> read-only property returns a {{domxref("GeolocationCoordinates")}} object representing a geographic position. It contains the location, that is longitude and latitude on the Earth, the altitude, and the speed of the object concerned, regrouped inside the returned value. It also contains accuracy information about these values.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>let coord</var> = <var>geolocationPositionInstance</var>.coords
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("GeolocationCoordinates")}} object instance.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Geolocation', '#dom-geolocationposition-coords', 'GeolocationPosition.coords')}}</td>
   <td>{{Spec2('Geolocation')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.GeolocationPosition.coords")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Geolocation_API/Using">Using the Geolocation API</a></li>
 <li>{{domxref("GeolocationPosition")}}</li>
</ul>
